## sfarkxtc 0~20130812git80b1da3

=== Makefile ===
all: sfarkxtc

INSTALL?=install

LDLIBS=-lsfark -lz

clean: 
	-rm sfarkxtc 2>/dev/null || true

install: sfarkxtc
	$(INSTALL) -D sfarkxtc $(DESTDIR)/usr/local/bin/sfarkxtc

=== debian/changelog ===
sfarkxtc (0~20130812git80b1da3-1) unstable; urgency=low

  * Initial release (Closes: #768173)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 05 Nov 2014 18:44:47 +0100

=== debian/control ===
Source: sfarkxtc
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>,
           Ross Gammon <rossgammon@mail.dk>
Section: sound
Priority: optional
Build-Depends: debhelper (>= 9),
               libsfark-dev
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/sfarkxtc.git
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/sfarkxtc.git
Homepage: https://github.com/raboof/sfarkxtc

Package: sfarkxtc
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Converts soundfonts from legacy sfArk v2 file format to sf2
 This very small command line tool converts legacy sfArk files into the
 SoundFont 2 format.
 .
 It is based on the library sfarklib, which unfortunately only supports
 sfArk V2+ files.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ 


PKD = $(abspath $(dir $(MAKEFILE_LIST)))
PKG  = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
VER ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')

get-orig-source: $(PKG)_$(VER).orig.tar.gz $(info I: $(PKG)_$(VER))
	@

$(PKG)_$(VER).orig.tar.gz:
	@echo "# Downloading..."
	rm -rf $(PKG)-$(VER)
	git clone git://github.com/raboof/sfarkxtc.git $(PKG)-$(VER)
	cd $(PKG)-$(VER) \
	&& git checkout `echo $(VER) | perl -pe 's/[\d\.]+?[\+~]\d\d\d\d\d\d\d\dgit(\w\w\w\w\w\w\w)/\1/'` \
	&& $(RM) -rf .git .gitignore .travis.yml
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
	| GZIP=-9n tar -czvf "$(PKG)_$(VER).orig.tar.gz" -T- --owner=root --group=root --mode=a+rX \
	&& $(RM) -rf "$(PKG)-$(VER)"

=== debian/watch ===
version=3
https://github.com/raboof/sfarkxtc/releases /raboof/sfarkxtc/archive/(\d\S+)\.tar\.(?:bz2|gz|xz)

## sfarkxtc 0~20170901git13cd6f9

=== debian/changelog ===
sfarkxtc (0~20170901git13cd6f9-2) unstable; urgency=medium

  * debian/patches/0002-LDFLAGS-propagate-down.patch:
    - Add patch for propagating down LDFLAGS to fix missing bindnow hardening
  * debian/upstream/metadata added
  * debian/control: New standards version 4.2.0

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 10 Aug 2018 13:49:59 +0200

sfarkxtc (0~20170901git13cd6f9-1) unstable; urgency=medium

  * New upstream version

  [ Ondřej Nový ]
  * debian/copyright: Use https protocol in Format field
  * debian/control: Set Vcs-* to salsa.debian.org
  * debian/rules: Remove trailing whitespaces

  [ Felipe Sateler ]
  * debian/control:
    - Change maintainer address to debian-multimedia@lists.debian.org

  [ Ruben Undheim ]
  * debian/compat: compat level set to 11
  * debian/control:
    - debhelper >= 11
    - New standards version 4.1.5
  * debian/copyright:
    - Updated copyright years
  * Replace the get_orig_source target in /debian/rules with a more advanced
    uscan rule

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 30 Jul 2018 21:25:01 +0200

=== debian/control ===
Source: sfarkxtc
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>,
           Ross Gammon <rossgammon@mail.dk>
Section: sound
Priority: optional
Build-Depends: debhelper (>= 11),
               libsfark-dev
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/multimedia-team/sfarkxtc
Vcs-Git: https://salsa.debian.org/multimedia-team/sfarkxtc.git
Homepage: https://github.com/raboof/sfarkxtc

Package: sfarkxtc
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Converts soundfonts from legacy sfArk v2 file format to sf2
 This very small command line tool converts legacy sfArk files into the
 SoundFont 2 format.
 .
 It is based on the library sfarklib, which unfortunately only supports
 sfArk V2+ files.

## sfarkxtc 0~20181208git4ed577d

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,10 @@
 all: sfarkxtc
 
 INSTALL?=install
+
+# Seems to be needed as clang doesn't appear to add this by default on
+# OSX. Let me know if you know a better way.
+LDFLAGS=-L/usr/local/lib
 
 LDLIBS=-lsfark -lz

=== debian/changelog ===
sfarkxtc (0~20181208git4ed577d-1) unstable; urgency=medium

  * New upstream version
  * Deleted patch fixed upstream (0003-Do-not-show-wrong-Press-ENTER.patch)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 20 Dec 2018 09:55:26 +0100

sfarkxtc (0~20170901git13cd6f9-3) unstable; urgency=medium

  * debian/control: New standards version 4.2.1 - no changes
  * debian/patches/0003-Do-not-show-wrong-Press-ENTER.patch
    - Do not show 'Press ENTER' when showing help, since nothing
      happens when pressing ENTER.
  * debian/tests: Added simple autopkgtest

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 22 Sep 2018 16:01:47 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 11),
                libsfark-dev
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/multimedia-team/sfarkxtc
 Vcs-Git: https://salsa.debian.org/multimedia-team/sfarkxtc.git
 Homepage: https://github.com/raboof/sfarkxtc

=== debian/tests/control ===
Tests: basic
Depends: sfarkxtc

=== debian/watch ===
version=4
opts=mode=git,\
dversionmangle=s/0~(\d{8})git([a-f0-9]{7})/0\.0~git$1\.$2/,\
oversionmangle=s/0\.0~git(\d{8})\.([a-f0-9]{7})$/0~$1git$2/ \
https://github.com/raboof/sfarkxtc.git \
HEAD debian uupdate
